uniform lowp vec4 fColor;
uniform lowp sampler2D fTexture;
uniform mediump float fBound;
varying mediump vec2 fTexCoord;

void main() {
 lowp vec4 frag=texture2D(fTexture, fTexCoord);
 mediump vec2 tvec=fTexCoord-vec2(0.5,0.5);
 mediump vec2 tvn=tvec;
 if (abs(tvec.x)>abs(tvec.y))
	 tvn=tvn/abs(tvec.x);
 else
	 tvn=tvn/abs(tvec.y);
 mediump float elen=(length(tvn)-1)/2;
 //for round shape: elen=0
 mediump float tcd=1.0-2*length(tvec)+elen;
 tcd=tcd/fBound;
 frag.a=tcd;
 if (frag.a<=0.0) discard;
 gl_FragColor = frag;
}